SystemOrganization addCategory: #'CS598rej-HW9-Test'!

TestCase subclass: #FtpUrlRefactoringTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS598rej-HW9-Test'!

!FtpUrlRefactoringTest methodsFor: 'testing' stamp: 'RalphJohnson 2/28/2011 21:57'!
testFTPDirectory
	| url content |
	url := FtpUrl new 
		schemeName: 'ftp' 
		authority: 'ftp.udl.es' 
		path: #('pub' 'centos/')  "note the trailing slash"
		query: ''.
	content := url retrieveContents content.
	"Transcript open." 
	Transcript open; clear; show: content.
	self assert: (content size > 0). 
! !

!FtpUrlRefactoringTest methodsFor: 'testing' stamp: 'RalphJohnson 2/28/2011 21:58'!
testFTPFile
	| url content |
	url := FtpUrl new 
		schemeName: 'ftp' 
		authority: 'ftp.udl.es' 
		path: #('pub' 'centos' 'HEADER.html') 
		query: ''.
	content := url retrieveContents content.
	"Transcript open." 
	Transcript clear; show: content.
	self assert: (content size > 0). 
	! !
